%define upstream_name    Reply
%define upstream_version 0.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tab completion for function names
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Reply/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader::Ordered)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::LexAlias)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Package::Stash)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(blib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
NOTE: This is an early release, and implementation details of this module
are still very much in flux. Feedback is welcome!

Reply is a lightweight, extensible REPL for Perl. It is plugin-based (see
the Reply::Plugin manpage), and through plugins supports many advanced
features such as coloring and pretty printing, readline support, and
pluggable commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/reply
/usr/share/man/man1/reply.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-3.mga8
+ Revision: 1506156
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1285955
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.420.0-1.mga7
+ Revision: 1217016
- imported package perl-Reply


* Tue Apr 10 2018 cpan2dist 0.42-1mga
- initial mageia release, generated with cpan2dist
